### Method

# EDataServer SourceMailComposition dup_cc

since: 3.6

#### Declaration [src]

    gchar**
    e_source_mail_composition_dup_cc (
      ESourceMailComposition* extension
    )

#### Description [src]

Thread-safe variation of e_source_mail_composition_get_cc(). Use this function when accessing `extension` from multiple threads.

The returned string array should be freed with `g_strfreev()` when no longer needed.

Available since: 3.6

#### Return value

Type: An array of `utf8`

A newly-allocated copy of `ESourceMailComposition:cc`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.